![](doc/img/hscloud-smol.png)

`hscloud` is the main monorepo of the Warsaw Hackerspace infrastructure code.

Any time you see a `//path/like/this`, it refers to the root of hscloud, ie. the path `path/like/this` in this repository. Perforce and/or Bazel users should feel right at home.


Viewing this documentation
--------------------------

For a pleaseant web viewing experience, [see this documentation in hackdoc](https://hackdoc.hackerspace.pl/). This will allow you to read this markdown file (and others) in a pretty, linkable view.

Getting started
---------------

See [//doc/codelabs](/doc/codelabs) for tutorials on how to use hscloud.

If you want to browse the source of `hscloud` in a web browser, use [gerrit's gitiles](https://gerrit.hackerspace.pl/plugins/gitiles/hscloud/+/refs/heads/master/).

If you want some other help, talk to q3k, informatic or your therapist.

Directory Structure
-------------------

Directories you should care about:

 - **app**: external services that we host that are somewhat universal: matrix, covid-formity, etc.
 - **bgpwtf**: code related to our little ISP
 - **cluster**: code related to our Kubernetes cluster (`k0.hswaw.net`)
 - **dc**: code related to datacenter automation
 - **devtools**: code related to developer tooling, like gerrit or hackdoc
 - **doc**: high-level documentation that doesn't fit anywhere else, ie. codelabs
 - **hswaw**: Warsaw Hackerspace specific/internal services. The line between this and **app** is unfortunately blurry.
 - **personal**: user's personal (experimental) directories
 - **kube**, **go**: code specific to languages but general to the whole of hscloud

Licensing
---------

Unless noted otherwise, code in hscloud is licensed under the BSD 0-clause license - see [COPYING](/COPYING).
